Processing gdal sieve: mask parameter should be optional (and is not possible to get rid of it)

2018-12-04 08:48 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28533

Description

Not a huge user of the sieve command. Anyway: I notice that by default the command string is filled with the ``-mask`` parameter that

takes the same input layer. There is no way to remove ``-mask`` from the command. Even if ``-nomask`` is selected, ``-mask`` is taken into

account when running the algorithm.

Trying with the attached layer, the sieve command gives correct result when from the command line ``-mask`` is removed (other

parameters are `Threshold = 8`, `Use 8-connectedness = True`)

Associated revisions

Revision a5365e26 - 2019-01-01 02:20 PM - Alexander Bruy

[processing] fix handling of the mask layer in the gdal_sieve algorithm

(fix #20713)

Revision c50a5cd8 - 2019-01-01 03:29 PM - Alexander Bruy

[processing] fix handling of the mask layer in the gdal_sieve algorithm

(fix #20713)

(cherry picked from commit a5365e26ebdfab2330eacb56167040a044f97f3c)

History

#1 - 2018-12-06 09:53 AM - Giovanni Manghi

- Operating System deleted (Linux)

- Assignee set to Giovanni Manghi

- Subject changed from gdal sieve mask parameter error to Processing gdal sieve: mask parameter should be optional (and is not possible to get rid of 

it)

Confirmed here.

#2 - 2019-01-01 03:26 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|a5365e26ebdfab2330eacb56167040a044f97f3c.

#3 - 2019-01-01 03:26 PM - Alexander Bruy

- Resolution set to fixed/implemented

Files

slope_lt5.tif 2.11 MB 2018-12-04 matteo ghetta
